#include <dblib.h>

class MasterKeyVault {
public:
	DBINT exists(Dblib dl, char *database);
	int createvault(Dblib dl, char *database);
	int createmasterkey(Dblib dl, char *database);
	int getmasterkey(Dblib dl, char *keyname, char *database, char &key);
};
